package function

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/userpreferenceCC/mngr"
	"gitlab.smartblocklab.com/smartcontracts/common/model/userPreferenceCC"
)

func UpdatePreference(userParameter *requests.Parameter, systemParameter *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	userPreference, err := userPreferenceCC.Unmarshal(userParameter.Param)
	if err != nil {
		return nil, err
	}

	return mngr.GetUserPreferenceManager(manager).UpdatePreference(userPreference)
}
