package main

import (
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/userpreferenceCC/function"
	"gitlab.smartblocklab.com/smartcontracts/common/invoke"
)

func NewChaincode() *chaincode.CommonChaincode {

	// invoke

	chaincode.ChaincodeVar.Actions[invoke.AddPreferenceFunction] = function.AddPreference
	chaincode.ChaincodeVar.Actions[invoke.UpdatePreferenceFunction] = function.UpdatePreference

	// query

	chaincode.ChaincodeVar.Actions[invoke.GetPreferenceFunction] = function.GetPreference

	return &chaincode.ChaincodeVar
}
