package function

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/userpreferenceCC/mngr"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
)

func GetPreference(userParameter *requests.Parameter, systemParameter *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	userID, err := requests.Unmarshal(systemParameter.Param)
	if err != nil {
		return nil, err
	}

	return mngr.GetUserPreferenceManager(manager).GetPreference(userID)
}
